%define version 0.13
%define release 1mdk
%define module	Video-ivtv

Name:		perl-%{module}
Summary:	Perl modules for ivtv support.
Group:		Development/Perl
Version:	%{version}
Release:       	%{release}
License:	GPL or Artistic
URL:		http://ivtv.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/ivtv/%{module}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
#Requires:	perl, perl-base
BuildRequires:	perl-devel

%description
Video::ivtv is designed to be a quick hack at making the record_ivtv.pl
script not have to depend on the test_ioctl program included with the ivtv
utils.  By moving to have the things that have proven difficult to do purely
in perl to C where they currently are being done, I can concentrate on
improving the code rather than hitting my head against the wall trying to
do code cleanups.  ;)

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
#make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README MANIFEST Changes
%{perl_vendorlib}/*/Video/ivtv.pm
%dir %{perl_vendorlib}/*/Video/
%{perl_vendorlib}/*/auto/Video/ivtv/ivtv.so
%dir %{perl_vendorlib}/*/auto/Video/ivtv/
%dir %{perl_vendorlib}/*/auto/Video/
%{_mandir}/man3/*


%changelog
* Wed Nov 17 2004 Stefan van der Eijk <stefan@mandrake.org> 0.13-1mdk
- 0.13

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.12-5mdk
- Rebuild for new perl

* Thu Jun 24 2004 Stefan van der Eijk <stefan@mandrake.org> 0.12-4mdk
- initial Mandrake package
- License
- Requires

* Mon Dec 29 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.12-3thac
- Cleaned up spec file

* Wed Oct 29 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.12-2thac
- Fixed naming to perl-Video-ivtv

* Tue Oct 28 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.12-1thac
- Rebuilt for Mandrake 9.2

* Thu Jul 17 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.12.

* Thu Jul 10 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Update to 0.11.

* Wed Jun 18 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Initial build.
